GNU bug report logs - #34593
12.1.1; selecting xelatex from command menu does not reset dvips or dvipdfmx switches

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: jfbu <jfbu@HIDDEN>; Keywords: patch fixed; dated Wed, 20 Feb 2019 17:18:02 UTC; Maintainer for auctex is bug-auctex@HIDDEN.
Added tag(s) fixed. Request was from Ikumi Keita <ikumi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34593 <at> debbugs.gnu.org:


Received: (at 34593) by debbugs.gnu.org; 17 Apr 2019 06:13:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 17 02:13:51 2019
Received: from localhost ([127.0.0.1]:39096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hGdpP-0006Sb-5R
	for submit <at> debbugs.gnu.org; Wed, 17 Apr 2019 02:13:51 -0400
Received: from smtp1.inetd.co.jp ([210.129.88.11]:35638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1hGdpN-0006SS-DV
 for 34593 <at> debbugs.gnu.org; Wed, 17 Apr 2019 02:13:50 -0400
Received: from localhost (210-20-200-15.rev.home.ne.jp [210.20.200.15])
 by smtp1.inetd.co.jp (Postfix) with ESMTPA id F27A7A2;
 Wed, 17 Apr 2019 15:13:46 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: JF <jfbu@HIDDEN>
Subject: Re: bug#34593: 12.1.1;
 selecting xelatex from command menu does not reset dvips or dvipdfmx
 switches
In-reply-to: <bccdc3ba-fdf6-755e-09cd-383a02bf770a@HIDDEN>
References: <ED8F8156-B4AB-4048-8CF6-F41D8BF9446F@HIDDEN>
 <11583.1554188431@localhost> <bccdc3ba-fdf6-755e-09cd-383a02bf770a@HIDDEN>
Comments: In-reply-to JF <jfbu@HIDDEN>
 message dated "Tue, 16 Apr 2019 15:08:51 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 26.1
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <1994.1555481626.1@localhost>
Date: Wed, 17 Apr 2019 15:13:46 +0900
Message-ID: <1995.1555481626@localhost>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34593
Cc: 34593 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> JF <jfbu@HIDDEN> writes:
>> I think that the attached patch will do the job.  However it just resets
>> the "PDF from DVI" setting and doesn't restore it when you again change
>> the engine to, say, "default".
>> Is this what you wanted?  If so, I'll install this change.

> Sorry for late confirmation. Yes your attached patch works for me.
> Indeed it does not restore previous PDF from DVI setting when again
> changing to default engine, but that's fine with me.

Thanks for confirmation, commited.  I'll close this bug.

Bye,
Ikumi Keita




Information forwarded to bug-auctex@HIDDEN:
bug#34593; Package auctex. Full text available.

Message received at 34593 <at> debbugs.gnu.org:


Received: (at 34593) by debbugs.gnu.org; 16 Apr 2019 13:08:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 09:08:56 2019
Received: from localhost ([127.0.0.1]:36804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hGNpX-0005Vs-SJ
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2019 09:08:56 -0400
Received: from smtp6.tech.numericable.fr ([82.216.111.42]:55354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jfbu@HIDDEN>) id 1hGNpW-0005Vj-H3
 for 34593 <at> debbugs.gnu.org; Tue, 16 Apr 2019 09:08:55 -0400
Received: from Ordinateur-Burnolien.local (13.135.3.93.rev.sfr.net
 [93.3.135.13])
 by smtp6.tech.numericable.fr (Postfix) with ESMTP id BF4951822DF;
 Tue, 16 Apr 2019 15:08:52 +0200 (CEST)
Subject: Re: bug#34593: 12.1.1; selecting xelatex from command menu does not
 reset dvips or dvipdfmx switches
To: Ikumi Keita <ikumi@HIDDEN>
References: <ED8F8156-B4AB-4048-8CF6-F41D8BF9446F@HIDDEN>
 <11583.1554188431@localhost>
From: JF <jfbu@HIDDEN>
Message-ID: <bccdc3ba-fdf6-755e-09cd-383a02bf770a@HIDDEN>
Date: Tue, 16 Apr 2019 15:08:51 +0200
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:60.0)
 Gecko/20100101 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <11583.1554188431@localhost>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: fr
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduuddrfedugdeggecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfpfgfogfftkfevteeunffgpdfqfgfvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefuvfhfhffkffgfgggjtgfgsehtkeertddtfeejnecuhfhrohhmpeflhfcuoehjfhgsuhesfhhrvggvrdhfrheqnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34593
Cc: 34593 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Keita,

Le 02/04/2019 à 09:00, Ikumi Keita a écrit :
> Hi Jean, sorry for very late reply.
>
> I think that the attached patch will do the job.  However it just resets
> the "PDF from DVI" setting and doesn't restore it when you again change
> the engine to, say, "default".
> Is this what you wanted?  If so, I'll install this change.


Sorry for late confirmation. Yes your attached patch works for me.
Indeed it does not restore previous PDF from DVI setting when again
changing to default engine, but that's fine with me.

Thanks,

Jean-François


> Regards,
> Ikumi Keita
>
>>>>>> jfbu <jfbu@HIDDEN> writes:
>> Hi,
>> Steps to reproduce.
>> Any latex document previously set-up to do latex+dvips+ps2pdf
>> (or dvipdfmx)
>> select XeTeX as TeX-engine from menu.
>> The dvips + ps2pdf (or dvipdfmx) option remains selected.
>> On C-cC-a  errors arise, because of course no dvi file is produced from xelatex run.
>> It takes a while until AUCTeX stops.
>> On the positive side, with
>> % Local variables:
>> % TeX-engine: xetex;
>> % End:
>
>> and C-cC-n
>> the PDF from Dvi is reset and no problem arises.
>> Could it be added that selecting "Use XeTeX engine" from menu automatically resets the "PDF from Dvi" setting ?





Information forwarded to bug-auctex@HIDDEN:
bug#34593; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Apr 2019 08:40:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 05 04:40:14 2019
Received: from localhost ([127.0.0.1]:45047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hCKOU-0000yK-DK
	for submit <at> debbugs.gnu.org; Fri, 05 Apr 2019 04:40:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1hCKOS-0000y0-FJ
 for submit <at> debbugs.gnu.org; Fri, 05 Apr 2019 04:40:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:52228)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geab-bug-auctex@HIDDEN>)
 id 1hCKON-0000el-15
 for submit <at> debbugs.gnu.org; Fri, 05 Apr 2019 04:40:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50269)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1hCKOL-0002nt-V9
 for bug-auctex@HIDDEN; Fri, 05 Apr 2019 04:40:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.9 required=5.0 tests=BAYES_50,FORGED_MUA_MOZILLA,
 FREEMAIL_FROM,RDNS_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1hCKOL-0000aI-1G
 for bug-auctex@HIDDEN; Fri, 05 Apr 2019 04:40:05 -0400
Received: from [195.159.176.226] (port=53170 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geab-bug-auctex@HIDDEN>)
 id 1hCKOK-0000Qn-4t
 for bug-auctex@HIDDEN; Fri, 05 Apr 2019 04:40:04 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1hCKOH-0004O2-Nv
 for bug-auctex@HIDDEN; Fri, 05 Apr 2019 10:40:01 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-auctex@HIDDEN
From: jfbu <jfbu@HIDDEN>
Subject: Re: bug#34593: 12.1.1; selecting xelatex from command menu does not
 reset dvips or dvipdfmx switches
Date: Fri, 5 Apr 2019 10:36:29 +0200
Message-ID: <q8742d$7brn$2@HIDDEN>
References: <ED8F8156-B4AB-4048-8CF6-F41D8BF9446F@HIDDEN>
 <11583.1554188431@localhost>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
In-Reply-To: <11583.1554188431@localhost>
Content-Language: fr
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Le 02/04/2019 à 09:00, Ikumi Keita a écrit : > Hi Jean,
    sorry for very late reply. Hi Ikumi, Thanks a lot, I am in the midst of some
    important deadlines so can not report until a bit, Best, 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (jfbu[at]free.fr)
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  1.6 FORGED_MUA_MOZILLA     Forged mail pretending to be from Mozilla
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

Le 02/04/2019 =C3=A0 09:00, Ikumi Keita a =C3=A9crit=C2=A0:
> Hi Jean, sorry for very late reply.
Hi Ikumi,

Thanks a lot, I am in the midst of some important deadlines
so can not report until a bit,

Best,

Jean-Fran=C3=A7ois


>=20
> I think that the attached patch will do the job.  However it just reset=
s
> the "PDF from DVI" setting and doesn't restore it when you again change=

> the engine to, say, "default".
> Is this what you wanted?  If so, I'll install this change.
>=20
> Regards,
> Ikumi Keita
>=20
>>>>>> jfbu <jfbu@HIDDEN> writes:
>> Hi,
>> Steps to reproduce.
>=20
>> Any latex document previously set-up to do latex+dvips+ps2pdf
>> (or dvipdfmx)
>=20
>> select XeTeX as TeX-engine from menu.
>=20
>> The dvips + ps2pdf (or dvipdfmx) option remains selected.
>=20
>> On C-cC-a  errors arise, because of course no dvi file is produced fro=
m xelatex run.
>=20
>> It takes a while until AUCTeX stops.
>=20
>> On the positive side, with
>=20
>> % Local variables:
>> % TeX-engine: xetex;
>> % End:
>=20
>=20
>> and C-cC-n=20
>=20
>> the PDF from Dvi is reset and no problem arises.
>=20
>> Could it be added that selecting "Use XeTeX engine" from menu automati=
cally resets the "PDF from Dvi" setting ?
>=20
>=20
>=20
Hi=20






Information forwarded to bug-auctex@HIDDEN:
bug#34593; Package auctex. Full text available.
Added tag(s) patch. Request was from Ikumi Keita <ikumi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34593 <at> debbugs.gnu.org:


Received: (at 34593) by debbugs.gnu.org; 2 Apr 2019 07:01:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 03:01:28 2019
Received: from localhost ([127.0.0.1]:40284 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hBDQG-0005qs-MT
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2019 03:01:28 -0400
Received: from smtp1.inetd.co.jp ([210.129.88.11]:38182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1hBDQE-0005qh-A3
 for 34593 <at> debbugs.gnu.org; Tue, 02 Apr 2019 03:01:27 -0400
Received: from localhost (210-20-200-15.rev.home.ne.jp [210.20.200.15])
 by smtp1.inetd.co.jp (Postfix) with ESMTPA id 4A0F5A7;
 Tue,  2 Apr 2019 16:01:23 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: jfbu <jfbu@HIDDEN>
Subject: Re: bug#34593: 12.1.1;
 selecting xelatex from command menu does not reset dvips or dvipdfmx
 switches
In-reply-to: <ED8F8156-B4AB-4048-8CF6-F41D8BF9446F@HIDDEN>
References: <ED8F8156-B4AB-4048-8CF6-F41D8BF9446F@HIDDEN>
Comments: In-reply-to jfbu <jfbu@HIDDEN>
 message dated "Wed, 20 Feb 2019 18:16:51 +0100."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 26.1
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Date: Tue, 02 Apr 2019 16:00:31 +0900
Message-ID: <11583.1554188431@localhost>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34593
Cc: 34593 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Jean, sorry for very late reply.

I think that the attached patch will do the job.  However it just resets
the "PDF from DVI" setting and doesn't restore it when you again change
the engine to, say, "default".
Is this what you wanted?  If so, I'll install this change.

Regards,
Ikumi Keita

>>>>> jfbu <jfbu@HIDDEN> writes:
> Hi,
> Steps to reproduce.

> Any latex document previously set-up to do latex+dvips+ps2pdf
> (or dvipdfmx)

> select XeTeX as TeX-engine from menu.

> The dvips + ps2pdf (or dvipdfmx) option remains selected.

> On C-cC-a  errors arise, because of course no dvi file is produced from xelatex run.

> It takes a while until AUCTeX stops.

> On the positive side, with

> % Local variables:
> % TeX-engine: xetex;
> % End:


> and C-cC-n 

> the PDF from Dvi is reset and no problem arises.

> Could it be added that selecting "Use XeTeX engine" from menu automatically resets the "PDF from Dvi" setting ?


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment; filename=patch-xetex-dvi
Content-Description: patch

diff --git a/tex.el b/tex.el
index 3c3f1769..e8735473 100644
--- a/tex.el
+++ b/tex.el
@@ -1579,7 +1579,9 @@ For available TYPEs, see variable `TeX-engine'."
     (setq type (intern type)))
   (setq TeX-engine type)
   ;; Automatically enable or disable TeX PDF mode as a convenience
-  (cond ((eq type 'xetex) (TeX-PDF-mode 1))
+  (cond ((eq type 'xetex)
+	 (TeX-PDF-mode 1)
+	 (setq TeX-PDF-from-DVI nil))
 	((eq type 'omega) (TeX-PDF-mode 0))))
 
 (define-minor-mode TeX-Omega-mode

--=-=-=--




Information forwarded to bug-auctex@HIDDEN:
bug#34593; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Feb 2019 17:17:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 12:17:20 2019
Received: from localhost ([127.0.0.1]:58414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwVUm-0007JS-2y
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 12:17:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jfbu@HIDDEN>) id 1gwVUk-0007JC-5n
 for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 12:17:18 -0500
Received: from lists.gnu.org ([209.51.188.17]:48704)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jfbu@HIDDEN>) id 1gwVUd-00034a-Nb
 for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 12:17:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42819)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jfbu@HIDDEN>) id 1gwVUc-0003mz-9k
 for bug-auctex@HIDDEN; Wed, 20 Feb 2019 12:17:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jfbu@HIDDEN>) id 1gwVUb-00032h-HM
 for bug-auctex@HIDDEN; Wed, 20 Feb 2019 12:17:10 -0500
Received: from smtp02.univ-lille1.fr ([2001:660:4401:100::20]:59546)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jfbu@HIDDEN>) id 1gwVUb-0002xZ-3c
 for bug-auctex@HIDDEN; Wed, 20 Feb 2019 12:17:09 -0500
Received: from smtps1.univ-lille1.fr (smtps1.univ-lille1.fr [193.49.225.52])
 by smtp02.univ-lille1.fr (8.14.3/8.14.3) with ESMTP id x1KHH1LD008938
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
 for <bug-auctex@HIDDEN>; Wed, 20 Feb 2019 18:17:01 +0100
Received: from [192.168.0.10] (13.135.3.93.rev.sfr.net [93.3.135.13])
 (authenticated bits=0)
 by smtps1.univ-lille1.fr (8.14.3/8.14.3/Debian-5) with ESMTP id x1KHGqSc021422
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=NO)
 for <bug-auctex@HIDDEN>; Wed, 20 Feb 2019 18:16:54 +0100
From: jfbu <jfbu@HIDDEN>
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Subject: 12.1.1;
 selecting xelatex from command menu does not reset dvips or dvipdfmx
 switches
Message-Id: <ED8F8156-B4AB-4048-8CF6-F41D8BF9446F@HIDDEN>
Date: Wed, 20 Feb 2019 18:16:51 +0100
To: bug-auctex@HIDDEN
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
X-Mailer: Apple Mail (2.1878.6)
X-USTL-MailScanner-Information: Please contact the ISP for more information
X-USTL-MailScanner-ID: x1KHH1LD008938
X-USTL-MailScanner: Found to be clean
X-USTL-MailScanner-From: jfbu@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:660:4401:100::20
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Steps to reproduce.

Any latex document previously set-up to do latex+dvips+ps2pdf
(or dvipdfmx)

select XeTeX as TeX-engine from menu.

The dvips + ps2pdf (or dvipdfmx) option remains selected.

On C-cC-a  errors arise, because of course no dvi file is produced from =
xelatex run.

It takes a while until AUCTeX stops.

On the positive side, with

% Local variables:
% TeX-engine: xetex;
% End:


and C-cC-n=20

the PDF from Dvi is reset and no problem arises.

Could it be added that selecting "Use XeTeX engine" from menu =
automatically resets the "PDF from Dvi" setting ?

I have a slightly custom TeX-command-list, I don't expect it to be cause =
of this.

Best

Jean-Fran=E7ois





Acknowledgement sent to jfbu <jfbu@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#34593; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 17 Apr 2019 06:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.